%global         momorel 2

Name:           perl-Crypt-SSLeay
Version:        0.72
Release:        %{momorel}m%{?dist}
Summary:        OpenSSL support for LWP
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-SSLeay/
Source0:        http://www.cpan.org/authors/id/N/NA/NANIS/Crypt-SSLeay-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-MIME-Base64
Requires:       perl-MIME-Base64
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This Perl module provides support for the HTTPS protocol under LWP, to
allow an LWP::UserAgent object to perform GET, HEAD and POST requests.
Please see LWP for more information on POST requests.

%prep
%setup -q -n Crypt-SSLeay-%{version}

%build
%{__perl} Makefile.PL \
        --live-tests \
        INSTALLDIRS=vendor \
        OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
export HTTPS_CA_DIR="./certs"
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc certs Changes eg README.md TODO
%{perl_vendorarch}/auto/Crypt/SSLeay
%{perl_vendorarch}/Crypt/SSLeay
%{perl_vendorarch}/Crypt/SSLeay.pm
%{perl_vendorarch}/Net/SSL.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.72-2m)
- rebuild against perl-5.20.0

* Sun Apr 27 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.72-1m)
- update to 0.72

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.64-7m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.64-6m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.64-5m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.64-4m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.64-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.64-2m)
- rebuild against perl-5.16.1

* Mon Aug  6 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.64-1m)
- update to 0.64

* Tue Jul 31 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.60-1m)
- update to 0.60

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.58-11m)
- rebuild against perl-5.16.0

* Fri Dec 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.58-10m)
- https://rt.ctan.org/ rejects direct access

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.58-9m)
- rebuild against perl-5.14.2

* Mon Jun 27 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.58-8m)
- fix build issue that %%build blocks waiting for users input when %%{do_test} is 0

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.58-7m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.58-6m)
- rebuild against perl-5.14.0-0.2.1m

* Fri Apr 22 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.58-5m)
- fix failures at tests

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.58-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.58-3m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.58-2m)
- rebuild against perl-5.12.2

* Tue Sep 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.58-1m)
- update to 0.58
- Specfile re-generated by cpanspec 1.78.

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.57-11m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.57-10m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.57-9m)
- rebuild against perl-5.12.0

* Sun Apr  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.57-8m)
- rebuild against openssl-1.0.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.57-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.57-6m)
- rebuild against perl-5.10.1

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.57-5m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.57-4m)
- rebuild against rpm-4.6

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.57-3m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.57-2m)
- rebuild against gcc43

* Wed Sep 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.57-1m)
- update to 0.57
- do not use %%NoSource macro

* Thu Jul 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.56-1m)
- update to 0.56

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.55-1m)
- update to 0.55

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.54-2m)
- use vendor

* Sat Apr 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.54-1m)
- update to 0.54

* Sat Dec 30 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.53-1m)
- update to 0.53

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.51-1m)
- spec file was autogenerated
